<!DOCTYPE html>
<!--[if lt IE 7]>      <html class="no-js lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
<!--[if IE 7]>         <html class="no-js lt-ie9 lt-ie8"> <![endif]-->
<!--[if IE 8]>         <html class="no-js lt-ie9"> <![endif]-->
<!--[if gt IE 8]><!-->
<html class="no-js" lang="en">
<!--<![endif]-->

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Draft AI</title>
    <meta name="description" content="Use AI to help you choose the best champion to play in your game.">
    <meta name="theme-color" content="#21c1f3" />
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <!-- <script type="module" src="./pwabuilder-sw.js"></script> -->
    <!-- bootstrap -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700|Material+Icons">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
        integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <link rel='manifest' href='./manifest.json'>
    <link rel="apple-touch-icon" href="./images/icons/apple-touch-icon.png">

    <!-- cookie -->
    <link rel="stylesheet" href="./libs/eu_cookie_popup.css">
    <link rel="stylesheet" href="./styles/index.css">
    <link rel="stylesheet" href="./styles/card.css">
</head>

<body>
    <!--[if lt IE 7]>
            <p class="browsehappy">You are using an <strong>outdated</strong> browser. Please <a href="#">upgrade your browser</a> to improve your experience.</p>
        <![endif]-->

    <!-- Image and text -->
    <!-- navbar -->
    <nav class="navbar navbar-light bg-light">
        <a class="navbar-brand" href="#">
            <img src="./images/icons/icon-96x96.png" width="32" height="32" class="d-inline-block align-top" alt="">
            Draft AI
        </a>
        <pwa-install>Install</pwa-install>
        <button id="run-example-button" type="button" class="btn btn-primary">Run Example</button>
    </nav>

    <main>
        <div class="container">
            <!-- drop area -->
            <div class="row justify-content-center">
                <div class="col-md-9 col-sm-12">
                    <form id="drop-region">
                        <div class="drop-message">
                            Drag & Drop the image, click and paste or <span id="upload-click"
                                style="text-decoration: underline;">upload</span>.
                        </div>
                        <div id="image-preview"></div>
                    </form>
                </div>
            </div>
            <!-- example button -->
            <!-- <div class="row justify-content-center">
            </div> -->

            <div class="row justify-content-center" id="output-parent">
                <ul id="bans-out"></ul>
            </div>
            <div class="row justify-content-center" id="out-picks">
                <div class="col-md-5 col-sm-5 col-xs-9 justify-content-center">
                    <ul id="ally-picks-out" class="pick-list list-group"></ul>
                </div>

                <div class="col-md-5 col-sm-5 col-xs-9 justify-content-center">
                    <ul id="enemy-picks-out" class="pick-list list-group"></ul>
                </div>
            </div>
            <!-- preview canvas -->
            <div class="row justify-content-center">
                <canvas id="canvas-prev" width="1280" height="720" style="//display: none;">Your browser does not
                    support
                    the
                    HTML5 canvas tag.
                </canvas>
                <canvas id="dummy-canvas-picks" width="70" height="70" style="display: none;">Your browser does not
                    support
                    the
                    HTML5 canvas tag.
                </canvas>
                <canvas id="dummy-canvas-bans" width="32" height="32" style="display: none;">Your browser does not
                    support
                    the
                    HTML5 canvas tag.
                </canvas>
                <canvas id="test-canvas" width="28" style="display: none;">Your browser does not support the
                    HTML5 canvas tag.
                </canvas>
            </div>
        </div>
    </main>
    <div id="modals-parent"></div>


    <template id="ban-out-template">
        <li id="ban-{{id}}"><img src="https://ddragon.leagueoflegends.com/cdn/{{version}}/img/champion/{{image.full}}"
                alt="{{id}} icon" width="40px" height="40px">
        </li>
    </template>

    <template id="ally-out-template">
        <li id="ally-pick-{{id}}" class="list-group-item">
            <img src="{{src}}" alt="{{id}} icon" width="40px" height="40px"> {{name}}
            <button type="button" class="btn btn-outline-primary modal-card-button-right" data-toggle="modal"
                data-target="#modal-{{id}}">
                Card
            </button>
            <br>
            {{name}} wins against:
            <ul id="{{id}}-matchup"></ul>
        </li>
    </template>
    <template id="enemy-out-template">
        <li id="enemy-pick-{{id}}" class="list-group-item text-md-right">
            {{#show_card}}
            <button type="button" class="btn btn-outline-primary modal-card-button-left" data-toggle="modal"
                data-target="#modal-{{id}}">
                Card
            </button>
            {{/show_card}}
            {{name}}
            <img src="{{src}}" alt="{{id}} icon" width="40px" height="40px" class="//float-md-right">
            <br>
            {{name}} wins against:
            <ul id="{{id}}-matchup"></ul>
        </li>
    </template>

    <template id="ally-matchup-template">
        <li id="ally-matchup-{{id}}" class="list-group-item">
            <img src="https://ddragon.leagueoflegends.com/cdn/10.16.1/img/champion/{{id}}.png" alt="{{id}} icon"
                width="40px" height="40px">
            {{id}}: {{winrate}}, n = {{n}}
        </li>
    </template>
    <template id="enemy-matchup-template">
        <li id="enemy-matchup-{{id}}" class="list-group-item">
            <img src="https://ddragon.leagueoflegends.com/cdn/10.16.1/img/champion/{{id}}.png" alt="{{id}} icon"
                width="40px" height="40px" class="float-md-right"> {{id}}: {{winrate}}, n = {{n}}.

        </li>
    </template>

    <template id="champion-card-modal">
        <div class="modal fade" id="modal-{{id}}" tabindex="-1" role="dialog"
            aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <img src="https://ddragon.leagueoflegends.com/cdn/img/champion/splash/{{id}}_0.jpg">
                    </div>
                    <div class="modal-body">
                        {{lore}}
                    </div>
                    <div class="modal-footer justify-content-center">
                        <ul id="spell-list">
                            <li>
                                <img src="https://ddragon.leagueoflegends.com/cdn/{{version}}/img/passive/{{passive.image.full}}" data-toggle="tooltip" data-placement="bottom" title="{{passive.description}}">
                            </li>
                            <li>
                                <img src="https://ddragon.leagueoflegends.com/cdn/{{version}}/img/spell/{{spells.0.image.full}}" data-toggle="tooltip" data-placement="bottom" title="{{spells.0.description}}">
                            </li>
                            <li>
                                <img src="https://ddragon.leagueoflegends.com/cdn/{{version}}/img/spell/{{spells.1.image.full}}" data-toggle="tooltip" data-placement="bottom" title="{{spells.1.description}}">
                            </li>
                            <li>
                                <img src="https://ddragon.leagueoflegends.com/cdn/{{version}}/img/spell/{{spells.2.image.full}}" data-toggle="tooltip" data-placement="bottom" title="{{spells.2.description}}">
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </template>



    <!-- pica.js -->
    <!-- <script src="https://cdnjs.cloudflare.com/ajax/libs/pica/6.1.0/pica.min.js"
        integrity="sha512-+CIuML3bkM5oCPX9Kp21UUtIo89Rr/7sU8Hnh1tB//mbshPpW1mTO/dKDDd6yx/Mx7xmw/gkHLDs0x2lPdaYvQ=="
        crossorigin="anonymous"></script> -->
    <!-- marvinJ -->
    <script src="https://cdn.jsdelivr.net/npm/marvinj@1.0.0/marvinj/release/marvinj-1.0.min.js"></script>
    <!-- mustache.js -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mustache.js/4.0.1/mustache.min.js"></script>
    <!-- ONNX -->
    <script src="https://cdn.jsdelivr.net/npm/onnxjs/dist/onnx.min.js"></script>

    <script src="https://code.jquery.com/jquery-3.5.1.min.js"
        integrity="sha256-9/aliU8dGd2tb6OSsuzixeV4y/faTqgFtohetphbbj0=" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"
        integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
        crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"
        integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6"
        crossorigin="anonymous"></script>

    <!-- my js -->
    <script src="./scripts/file_upload.js" async></script>
    <!-- <script src="./scripts/camera_input.js"></script> -->

    <!-- pwa install -->
    <script type="module" src="https://cdn.jsdelivr.net/npm/@pwabuilder/pwainstall"></script>

    <script type="module">
        import 'https://cdn.jsdelivr.net/npm/@pwabuilder/pwaupdate';

        const el = document.createElement('pwa-update');
        document.body.appendChild(el);
    </script>

</body>

</html>